<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum BusinessSettingEnum: int implements HasLabel
{
    case LOGO = 1;
    case BUSINESS_EMAIL = 2;
    case BUSINESS_CONTACT = 3;
    case BUSINESS_HOURS = 4;
    case BUSINESS_ADDRESS = 5;
    case GOOGLE_MAP = 6;
    case BUSINESS_NAME = 7;
    case SERVICE_PAGE_BANNER = 8;
    case GETTING_HERE_PAGE_BANNER = 9;
    case INSTAGRAM_LINK = 10;
    case TWITTER_X_LINK = 11;
    case FACEBOOK_LINK = 12;
    case LINKEDIN_LINK = 13;

    public static function getBaseSettingsEnums(): array
    {
        return [
            self::LOGO,
            self::BUSINESS_EMAIL,
            self::BUSINESS_CONTACT,
            self::BUSINESS_HOURS,
            self::BUSINESS_ADDRESS,
            self::GOOGLE_MAP,
            self::BUSINESS_NAME,
            self::SERVICE_PAGE_BANNER,
            self::GETTING_HERE_PAGE_BANNER,
            self::INSTAGRAM_LINK,
            self::TWITTER_X_LINK,
            self::FACEBOOK_LINK,
            self::LINKEDIN_LINK,
        ];
    }

    /**
     * Get the label for the enum
     */
    public function getLabel(): ?string
    {
        return match ($this) {
            // Base Settings
            self::LOGO => 'Logo',
            self::BUSINESS_EMAIL => 'Business Email',
            self::BUSINESS_CONTACT => 'Business Contact',
            self::BUSINESS_HOURS => 'Business Hours',
            self::BUSINESS_ADDRESS => 'Business Address',
            self::GOOGLE_MAP => 'Google Map',
            self::BUSINESS_NAME => 'Business Name',
            self::SERVICE_PAGE_BANNER => 'Service Page Banner',
            self::GETTING_HERE_PAGE_BANNER => 'Getting Here Page Banner',
            self::INSTAGRAM_LINK => 'Instagram Link',
            self::TWITTER_X_LINK => 'Twitter X Link',
            self::FACEBOOK_LINK => 'Facebook Link',
            self::LINKEDIN_LINK => 'LinkedIn Link'

        };
    }
}
